Skip to main content
GET
Get vault action
Returns the latest state and public instruction for one asynchronous Vault action. Treat the nextAction type as the discriminator and never modify transaction calldata. An execute_safe_transaction action includes a completion request descriptor for submitting the mined transaction hash.

Authorizations

Authorization
string
header
required

HTTP Basic auth. Username is the Stableyard app ID. Password is the app secret. The optional Stableyard-Version request header must match the environment pin.

Headers

Stableyard-Version
enum<string>

Optional contract-version assertion. Omit it to use the app environment's pinned version. A different supported version is accepted only after that environment is explicitly migrated.

Available options:
2026-09-09

Path Parameters

accountId
string
required

Canonical account id returned by the Accounts API.

Example:

"acct_123"

actionId
string
required

Response

Vault action

id
string
required
Example:

"vault_action_123"

vaultId
string
required
Example:

"vault_123"

type
enum<string>
required
Available options:
sign_policy,
approve_managed_policy,
install_policy,
auto_supply_yield,
redeem_yield,
execute_payment
status
enum<string>
required
Available options:
pending,
queued,
processing,
completed,
failed,
cancelled
resourceVersion
integer
required
Required range: x >= 1
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
policyId
string | null
Example:

"vault_policy_123"

nextAction
object | null

Public wallet, signature, email approval, or wait instruction. Treat the action type as the discriminator and never modify transaction calldata. execute_safe_transaction includes a completion request descriptor for submitting the mined transaction hash.

failureCode
string | null
expiresAt
string<date-time> | null